## mkinitcpio-nfs-utils-0.3-8.src.tar.gz

=== Makefile ===

PROGRAMS = ipconfig nfsmount
CLEAN_PROGRAMS = $(addsuffix -clean, $(PROGRAMS))
INSTALL_PROGRAMS = $(addsuffix -install, $(PROGRAMS))

DESTDIR ?=
prefix  ?= /usr/lib/initcpio
bindir  ?= $(prefix)

.PHONY: all
all: $(PROGRAMS)

.PHONY: $(PROGRAMS)
$(PROGRAMS):
	$(MAKE) -C $@

.PHONY: clean
clean: $(CLEAN_PROGRAMS)

.PHONY: $(CLEAN_PROGRAMS)
$(CLEAN_PROGRAMS):
	$(MAKE) -C $(subst -clean, ,$@) clean

.PHONY: install
install: $(INSTALL_PROGRAMS)
	install -Dm644 net_install $(DESTDIR)$(prefix)/install/net
	install -Dm644 net_hook $(DESTDIR)$(prefix)/hooks/net

.PHONY: $(INSTALL_PROGRAMS)
$(INSTALL_PROGRAMS):
	$(MAKE) -C $(subst -install, ,$@) install
