=== ipconfig/Makefile ===

PROGRAM = ipconfig
SOURCES = bootp_proto.c dhcp_proto.c main.c netdev.c packet.c
OBJECTS = $(subst .c,.o,$(SOURCES))

DESTDIR ?=
prefix  ?= /usr/lib/initcpio
bindir  ?= $(prefix)

CFLAGS = -D_GNU_SOURCE -Wall -Os -fno-strict-aliasing


%.o: %.c
	$(CC) -c $< $(CFLAGS)

.PHONY: all
all: ${PROGRAM}

$(PROGRAM): $(OBJECTS)
	$(CC) $(CFLAGS) -o $@ $^

.PHONY: clean
clean:
	rm -f $(PROGRAM) *.o *.*~ *.orig *.rej

.PHONY: install
install: all
	install -Dm755 $(PROGRAM) $(DESTDIR)$(bindir)/$(PROGRAM)
