=== nfsmount/Makefile ===

PROGRAM = nfsmount
SOURCES = dummypmap.c main.c mount.c portmap.c sunrpc.c
OBJECTS = $(subst .c,.o,$(SOURCES))

DESTDIR ?=
prefix  ?= /usr/lib/initcpio
bindir  ?= $(prefix)

CFLAGS = -D_GNU_SOURCE -Wall -Os


%.o: %.c
	$(CC) -c $< $(CFLAGS)

.PHONY: all
all: ${PROGRAM}

$(PROGRAM): $(OBJECTS)
	$(CC) $(CFLAGS) -o $@ $^

.PHONY: clean
clean:
	rm -f $(PROGRAM) *.o *.*~ *.orig *.rej

.PHONY: install
install: all
	install -Dm755 $(PROGRAM) $(DESTDIR)$(bindir)/$(PROGRAM)
